#ifndef RACE_H
#define RACE_H

/**
 * \file race.h
 * \brief Razze e appartenenze
 *
 * race.h contiene le dichiarazioni di race e ownership
 */

#include <string>
using namespace std;

/**
 * \var typedef string Race
 * \brief Race  il nome della classe di appartenenza (uomo, elfo, nano...)
 *
 * Race  semplicemente una stringa
 */
typedef string Race;


/**
 * \var typedef string Ownership
 * \brief Ownership  il nome di un'appartenenza a qualcosa
 * (juventino, eterosessuale, chierico, animagus, ...)
 * 
 * Ownership  semplicemente una stringa
 */
typedef string Ownership;

/**
 * \example race_test.cc
 */
#endif
